Page 1 of 1

Failed to find the conan package ZLIB

Posted: Thu Jun 10, 2021 12:51 pm
by soundingout123
Hi,
I'm following the instructions for building here: https://wiki.audacityteam.org/wiki/Building_On_Windows. Ultimately I want to build ASIO https://manual.audacityteam.org/man/asi ... rface.html.
Severity Code Description Project File Line Suppression State
Error CMake Error at cmake-proxies/cmake-modules/AudacityDependencies.cmake:265 (message):
Failed to find the conan package ZLIB C:\Users\johnp\Compiling_JB\Audacity\audacity\cmake-proxies/cmake-modules/AudacityDependencies.cmake 265
What is causing this?

Also I get this warning, is it important?
Severity Code Description Project File Line Suppression State
Warning CMake Warning (dev) at C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/Common7/IDE/CommonExtensions/Microsoft/CMake/CMake/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake:426 (message):
The package name passed to `find_package_handle_standard_args` (jack) does
not match the name of the calling package (Jack). This can lead to
problems in calling code that expects `find_package` result variables
(e.g., `_FOUND`) to follow a certain pattern. C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/Common7/IDE/CommonExtensions/Microsoft/CMake/CMake/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake 426

Re: Failed to find the conan package ZLIB

Posted: Thu Jun 10, 2021 12:55 pm
by steve
There have been a lot of very recent changes to the way of building Audacity.
I think the latest instructions are those that are in the source code: https://github.com/audacity/audacity/bl ... UILDING.md
Those instructions should be correct for Audacity 3.0.3 alpha.

If you want to build a previous version, look for the instructions in your source code.

Re: Failed to find the conan package ZLIB

Posted: Thu Jun 10, 2021 1:09 pm
by soundingout123
Perfect, that looks so much easier.

When I follow the instruction for Windows I get the error in CMake. Has anyone had this before? I have Python > 3 & conan installed through pip.
CMake Error at cmake-proxies/cmake-modules/conan.cmake:631 (message):
Conan install failed='1'
Call Stack (most recent call first):
cmake-proxies/cmake-modules/AudacityDependencies.cmake:233 (conan_cmake_install)
cmake-proxies/cmake-modules/AudacityDependencies.cmake:251 (_conan_install)
CMakeLists.txt:481 (resolve_conan_dependencies)

Re: Failed to find the conan package ZLIB

Posted: Thu Jun 10, 2021 1:18 pm
by soundingout123
Thanks that is very helpful to know.

I tried to do step 3 for windows here https://github.com/audacity/audacity/bl ... on-windows but i get an error in CMAKE:
Error in configuration process, project files may be invalid
The error note in the bottom console is:
CMake Error at cmake-proxies/cmake-modules/conan.cmake:631 (message):
Conan install failed='1'
Call Stack (most recent call first):
cmake-proxies/cmake-modules/AudacityDependencies.cmake:233 (conan_cmake_install)
cmake-proxies/cmake-modules/AudacityDependencies.cmake:251 (_conan_install)
CMakeLists.txt:481 (resolve_conan_dependencies)
Can you shed some light on this?

Re: Failed to find the conan package ZLIB

Posted: Thu Jun 10, 2021 1:59 pm
by steve
I've not yet tried the new build method on Windows (I mostly use Linux), so at best I can only suggest general advice.
If you get part way through a build and it fails, don't try to fix it - scrap it completely and start again.

Re: Failed to find the conan package ZLIB

Posted: Thu Jun 10, 2021 2:00 pm
by jademan
There is a discord thread for those currently building Audacity 3.0.3 alpha on Windows:

See here: https://discord.gg/8P9RHQRa